for d = 8:-1:1;
    fM = competitive(M,l+.1^d,a,b,iter);
    XX = abs(fM-fMX);
    pshow(XX,sprintf('sensitivity/sens_l+%d',d));
    fM = competitive(M,l,a+.1^d,b,iter);
    XX = abs(fM-fMX);
    pshow(XX,sprintf('sensitivity/sens_a+%d',d));
    fM = competitive(M,l,a,b+.1^d,iter);
    XX = abs(fM-fMX);
    pshow(XX,sprintf('sensitivity/sens_b+%d',d));
    fM = competitive(M,l,a,b,iter+d);
    XX = abs(fM-fMX);
    pshow(XX,sprintf('sensitivity/sens_iter+%d',d));
end;

for d = 15:-1:15;
    M0 = noise([200 200],x0+.1^d);
    fM = competitive(M0,l,a,b,iter);
    XX = abs(fM-fMX);
    pshow(XX,sprintf('sensitivity/sens_x0+%d',d));
end;